;---------------------------------------------------------------------------
;Dash Afterimages
[Statedef 104]
type    = S
movetype= I
physics = N
ctrl = 0
velset = 0,0
sprpriority = -1

[State 104, 1]
type = ChangeAnim
trigger1 = Time = 0
value = parent, Anim
elem = parent, animelemno(0)

[State 104, 2]
type = ChangeAnim
trigger1 = Time >= 1
value = Anim
elem = animelemno(0)

[State 104, 3]
type = SprPriority
trigger1 = Time = 3
value = -2

[State 104, 4]
type = SprPriority
trigger1 = Time = 6
value = -3

[State 104, 6]
type = NotHitBy
trigger1 = 1
value = SCA

[State 104, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 104, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 160, 128

[State 104, Trans]
type = Trans
trigger1 = time > 4
trans = addalpha
alpha = 140, 160

[State 104, Trans]
type = Trans
trigger1 = time > 6
trans = addalpha
alpha = 120, 200

[State 104, Trans]
type = Trans
trigger1 = time > 8
trans = addalpha
alpha = 80, 230

[State 104, Trans]
type = Trans
trigger1 = time > 10
trans = addalpha
alpha = 40, 256

[State 104, DestroySelf]
type = DestroySelf
trigger1 = time = 12

;---------------------------------------------------------------------------
; KO Sound Plays Here
[Statedef 110]
movetype= I
velset = 0,0
ctrl = 0
anim = 9999
poweradd = 0
 
[State 110, PlaySnd]
type = PlaySnd
trigger1 = !time
value = 11,1+(random%2)
channel = 0
ignorehitpause = 1
persistent = 0

[State 110, Voice Stop]
type = StopSnd
trigger1 = (root,anim = [12403,12408])
trigger2 = (root,anim = [12419,12423])
channel = 0

;---------------------------------------------------------------------------
; Clone luce (Win pose Match) (Falling Down)
[Statedef 115]
type = A
movetype= A
physics = N
velset = 0,0
ctrl = 0
anim = 811
poweradd = 0
sprpriority = 5
 
[State 115, Turn]
type = Turn
trigger1 = time = 0

[State 115, PosSet] ;Set position
type = PosSet
trigger1 = anim = 811 && facing = 1
x = enemynear,pos x - -80
persistent = 0

[State 115, PosSet] ;Set position
type = PosSet
trigger1 = anim = 811 && facing = -1
x = enemynear,pos x + -80
persistent = 0

[State 115, Blink]
type = PalFX
trigger1 = Time < 2
time = 1
color = 1
add = 255,255,255

[State 115, Blink]
type = PalFX
trigger1 = Time > 2
time = 1
color = 1
mul = 255,255,255

[State 115, Voice]
type = PlaySnd
trigger1 = time = 0
value = 802,0
channel = 0

;[State 115, Trans]
;type = Trans
;trigger1 = 1
;trans = addalpha
;alpha = 200,160

[State 115, Gravity]
type = Gravity
trigger1 = time > 0

[State 115, State End]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 116
ctrl = 0

;---------------------------------------------------------------------------
;Clone Luce (Win pose Match (Land)
[Statedef 116]
type = L
movetype= A
physics = N
anim = 812
poweradd = 0
velset = 0,0
sprpriority = 5

[State 116, 1]
type = NotHitBy
trigger1 = 1
value = SCA

[State 116, Turn]
type = Turn
trigger1 = time = 0

[State 116, PosSet]
type = PosSet
trigger1 = 1
y = floor(0*const(size.xscale))

[State 116, Dust FX Jump Land]
type = Explod
trigger1 = time = 0
anim = 6051
ID = 6051
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
bindtime = 1
ownpal = 1
scale = 1,1
sprpriority = 0
pausemovetime = 9999

[State 813, Helper]
type = Helper
trigger1 = (time%20)=0
name = "Gas FX (Booty Press to Face)"
ID = 6400
stateno = 6400
postype = p1    ;p2,front,back,left,right
facing = -1
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
size.xscale = 0.35
size.yscale = 0.35

[State 187, Snd]
type = PlaySnd
trigger1 = Time = 0
value = 47, 0

[State 813, Snd]
type = PlaySnd
trigger1 = (time%20)=0
value = 1021,0+(random%5)

[State 115, Blink]
type = PalFX
trigger1 = 1
time = 1
color = 1
mul = 255,255,255

;[State 116, Trans]
;type = Trans
;trigger1 = 1
;trans = addalpha
;alpha = 200,160

;---------------------------------------------------------------------------
;K-Palette Selection ; Thank you "POTS Style/XCOSTUME" Base
[Statedef 256]
physics = N
anim = 256
velset = 0,0
sprpriority = 99999
 
[State 256, PosSet]
type = PosSet
trigger1 =!time 
x = root,facing*-140
y = 0
ignorehitpause = 1

[State 256, AS]
type= assertspecial
trigger1 = 1
flag = intro
flag2 = noshadow

[State 256, Reset]
type = varset
trigger1 = !time
var(29) = 200

[State 256, Pal]
type = VarSet
trigger1 = !time
var(26) = root,palno

[State 256, VarSet]
type = VarSet
trigger1 = var(26)<1 || var(26)>30
var(26) = 1+(var(26)<1)*29

[State 256, PlaySnd]
type = PlaySnd
trigger1 = var(10) = 2 
value = S256,0
volumescale = 100
channel = 20

[State 256, PlaySnd]
type = PlaySnd
triggerall = ishelper(256)
trigger1 = root,command = "x" || root,command = "y" || root,command = "z" || root,command = "a" || root,command = "b" || root,command = "c" || root,command = "start" || roundstate = 2
trigger2 = var(29)<=5
value = S256,1
volumescale = 100
channel = 20
persistent = 0 

[State 256, Countdown]
type = VarAdd
trigger1 = 1 
var(29) = -1

[State 256, Countdown]
type = VarAdd
trigger1 = !var(10) && var(29)<150
trigger1 = root,command = "holdback" || root,command = "holdfwd"
var(29)=25

[State 256, Varadd]
type = VarAdd
trigger1 = !var(10)
trigger1 = root,command = "holdback" || root,command = "holdfwd"
var(26) = 1 - (root,command = "holdback" && facing = 1 || root,command = "holdfwd" && facing = -1)*2

[State 256, Varadd]
type = VarAdd
trigger1=(root,command = "holdback" || root,command = "holdfwd") && !var(10) || var(10)
var(10) = 1

[State 256, Varset]
type=varset
trigger1 = !time || var(10)>=10
var(10) = 0

[State 256, End]
type = DestroySelf
triggerall = ishelper(256)
trigger1 = root,command = "x" || root,command = "y" || root,command = "z" || root,command = "a" || root,command = "b" || root,command = "c" || root,command = "start" || roundstate = 2
trigger2 = var(29)<=0
trigger3 = root,AILevel

;---------------------------------------------------------------------------
; Cooking Pot (Luce's Special Cooking)
[Statedef 3030]
type = S
ctrl = 0
velset = 0,0
anim = 9999
sprpriority = 1

[State 3030, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 3030, PosSet]
type = PosSet
trigger1 = time = 0
x = 0

[State 3030, ChangeAnim]
type = ChangeAnim
trigger1 = time = 15
value = 3032

[State 3030, Explod]
type = Explod
trigger1 = time = 0
anim = 3030
ID = 3030
pos = 0,0
postype = p2  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 0
ownpal = 1
removeongethit = 1
persistent = 0

[State 3030, Explod]
type = Explod
triggerall = time <= 60
trigger1 = (time%5)=0
anim = 3031
ID = 3030
pos = 0,-gameheight
postype = p2  ;p2,front,back,left,right
facing = -1
vfacing = 1
bindtime = 1
vel = 0,30
accel = 0,0
random = 40,10
removetime = 17
pausemovetime = 0
scale = 1,1
sprpriority = 1
ownpal = 1
removeongethit = 0

[State 3030, Explod]
type = Explod
trigger1 = time = 0
anim = 3033
ID = 3030
pos = 0,0
postype = p2  ;p2,front,back,left,right
facing = -1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 2
ownpal = 1
removeongethit = 1
persistent = 0

[State 3030, PalFX]
type = PalFX
triggerall = root,anim = 3021
trigger1 = time < 400
time = -1
mul = 100+Time*1,130+Time*1,0-Time*1
invertall = 0
color = 256

[State 3030, RemoveExplod]
type = RemoveExplod
trigger1 = root,stateno = 3027

[State 3030, DestroySelf]
type = DestroySelf
trigger1 = root,stateno = 3027

;---------------------------------------------------------------------------
; Pudding Fall (Luce's Special Cooking)
[Statedef 3031]
type = S
ctrl = 0
velset = 0,0
anim = 3034

[State 3031, Helper]
type = Helper
trigger1 = (Time%4 = 0)
name = "Afterimages Helper"
ID = 104
stateno = 104
postype = p1
pos = 0,0
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0

[State 3031, VelSet]
type = VelSet
trigger1 = time = 0
x = -5
y = -3

[State 3031, Gravity]
type = Gravity
trigger1 = time > 5

[State 3031, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 3031, ChangeState]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y > 0
value = 3032

;---------------------------------------------------------------------------
; Pudding Drop (Luce's Special Cooking)
[Statedef 3032]
type = S
ctrl = 0
velset = 0,0
anim = 3035

[State 3032, PosSet]
type = PosSet
trigger1 = time = 0
y = 0

[State 3032, Snd]
type = PlaySnd
trigger1 = time = 0
value = 3021,0+(random%5)

[State 3032, DestroySelf]
type = DestroySelf
trigger1 = animtime = 0

;---------------------------------------------------------------------------
; Giantess Luce (Super Magical Big Bang 1)
[Statedef 3050]
type = S
ctrl = 0
velset = 0,0
anim = 9999

[State 3050, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nobg
flag3 = nofg

[State 5990, PosSet]
type = PosSet
trigger1 = 1
x = 0
y = 0

[State 3050, Explod]
type = Explod
trigger1 = time = 0
anim = 3050
ID = 3050
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = -1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 0
ownpal = 0
removeongethit = 1
persistent = 0

[State 3050, Explod]
type = Explod
trigger1 = time = 0
anim = 3055
ID = 3055
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = -1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 0
ownpal = 0
removeongethit = 1
persistent = 0

[State 3050, Explod]
type = Explod
trigger1 = time = 0
anim = 3055
ID = 3055
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = -1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 1
ownpal = 0
trans = addalpha
alpha = 128,128
removeongethit = 1
persistent = 0

[State 3050, Explod]
type = Explod
trigger1 = time = 0
anim = 3057
ID = 3057
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = -1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 1
ownpal = 0
removeongethit = 1
persistent = 0

[State 3050, RemoveExplod]
type = RemoveExplod
trigger1 = root,stateno = 3044

[State 3050, DestroySelf]
type = DestroySelf
trigger1 = root,stateno = 3044

;---------------------------------------------------------------------------
; Giantess Luce (Super Magical Big Bang 2)
[Statedef 3051]
type = S
ctrl = 0
velset = 0,0
anim = 9999

[State 3051, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nobg
flag3 = nofg

[State 5990, PosSet]
type = PosSet
trigger1 = 1
x = 0
y = 0

[State 3051, Explod]
type = Explod
trigger1 = time = 0
anim = 3051
ID = 3051
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 0
ownpal = 0
removeongethit = 1
persistent = 0

[State 3051, Explod]
type = Explod
trigger1 = time = 0
anim = 3056
ID = 3056
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 0
ownpal = 0
removeongethit = 1
persistent = 0

[State 3051, Explod]
type = Explod
trigger1 = time = 0
anim = 3056
ID = 3056
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 1
ownpal = 0
trans = addalpha
alpha = 128,128
removeongethit = 1
persistent = 0

[State 3051, Explod]
type = Explod
trigger1 = time = 0
anim = 3058
ID = 3058
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 1
ownpal = 0
removeongethit = 1
persistent = 0

[State 3051, RemoveExplod]
type = RemoveExplod
trigger1 = root,stateno = 3046

[State 3051, DestroySelf]
type = DestroySelf
trigger1 = root,stateno = 3046

;---------------------------------------------------------------------------
;Flash KO Helper Special
[Statedef 4000]
type    = A
physics = N 
anim = 9999 

[State 4000, Flash KO Sound Special]
type = PlaySnd
triggerall = Winko
trigger1 = (root,stateno = [800,3999])
trigger1 = time = 0
value = 4000, 0

[State 4000, Flash KO Helper]
type = AllPalFx
triggerall = winko
trigger1 = (root,stateno = [800,3999])
Trigger1 = time < 9
time = 1
add = 255-Time*30,255-Time*30,255-Time*30
mul = 255,255,255
color = 0

[State 4000, DestroySelf]
type = DestroySelf
trigger1 = roundstate !=[3,4]

;---------------------------------------------------------------------------
; Gas FX (Super Magical Big Bang)
[Statedef 6300]
type = S
ctrl = 0
anim = 9999
velset = 0,0
sprpriority = 3

[State 6300, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6300, Explod]
type = Explod
trigger1 = time = 0
anim = 6300
ID = 6300
pos = 0,0
postype = front  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 2,2
sprpriority = 3
ownpal = 0
trans = addalpha
alpha = 160,120
removeongethit = 1
persistent = 0

[State 3048, ModifyExplod]
type = ModifyExplod
trigger1 = root,stateno = 187
trigger1 = time < 400
ID = 6300
postype = front  ;p2,front,back,left,right
facing = 1
bindtime = 1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 2,2
sprpriority = 0
ontop = 1
removeongethit = 0
;ignorehitpause =
trans = addalpha
alpha = 0+Time*1,256-Time*1

[State 6300, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 300,300,50
add = 100,100,0
invertall = 0
color = 256

[State 6300, NotHitby]
type= NotHitBy
trigger1 = 1
time= -1
value = ,AA,AT
ignorehitpause = 1
;persistent = 0

[State 6301, RemoveExplod]
type = RemoveExplod
trigger1 = root,stateno = 3043

[State 6301, DestroySelf]
type = DestroySelf
trigger1 = root,stateno = 3043

;---------------------------------------------------------------------------
; Gas FX (Intro)
[Statedef 6400]
type = S
ctrl = 0
anim = 6401
velset = -0.5,-0.5

[State 6401, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6401, BindToRoot]
type = BindToRoot
triggerall = root,anim = 812
trigger1 = time < 5
pos = 40,0

[State 6401, BindToRoot]
type = BindToRoot
triggerall = root,anim = 430 || root,anim = 1100 
trigger1 = time < 5
pos = 75,-65

[State 6401, SprPriority]
type = SprPriority
trigger1 = root,anim = 1032 || root,anim = 1100 || root,anim = 1202
value = 1

[State 6401, SprPriority]
type = SprPriority
trigger1 = (root,anim = [3020,3022]) || root,anim = 9999
value = 2

[State 6401, SprPriority]
type = SprPriority
trigger1 = root,anim = 812 || root,anim = 430
value = 5

[State 6400, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 7901
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
ignorehitpause = 0
;persistent = 0

[State 6400, Hitby]
type= HitBy
trigger1 = 1
time= -1
value = SCA, NP, SP, HP
ignorehitpause= 1

[State 6400, NotHitby]
type= NotHitBy
trigger1 = 1
time= -1
value = ,AA,AT
ignorehitpause = 1
;persistent = 0

[State 6400, Explod]
type = Explod
triggerall = root,anim = 812 || root,anim = 430 || root,anim = 1032 || root,anim = 1100 || root,anim = 1202
trigger1 = time = 0
anim = 6400
ID = 6400
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = .35,.35
sprpriority = 1
ownpal = 1
trans = sub
removeongethit = 1
persistent = 0

[State 6400, Explod]
type = Explod
triggerall = (root,anim = [3020,3021])
trigger1 = time = 0
anim = 6400
ID = 6400
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = .35,.35
sprpriority = 2
ownpal = 1
trans = sub
removeongethit = 1
persistent = 0

[State 6400, Explod]
type = Explod
triggerall = (root,anim = [3022,3024])
trigger1 = time = 0
anim = 6400
ID = 6400
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = 1.5,1.5
sprpriority = 2
ownpal = 1
trans = sub
removeongethit = 1
persistent = 0

[State 6400, Explod]
type = Explod
triggerall = root,anim = 9999
trigger1 = time = 0
anim = 6400
ID = 6400
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = 1.25,1.25
sprpriority = 2
ownpal = 1
trans = sub
removeongethit = 1
persistent = 0

[State 6400, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 300,300,50
invertall = 0
color = 256

[State 6400, Trans]
type = Trans
trigger1 = 1
trans = add

[State 6400, Trans]
type = Trans
triggerall = parent,stateno = 116 || root,stateno = 187
trigger1 = 1
trans = addalpha
alpha = 92,256

[State 6400, Trans]
type = Trans
triggerall = (root,anim = [3020,3021])
trigger1 = 1
trans = addalpha
alpha = 160,256

[State 6400, RemoveExplod]
type = RemoveExplod
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

[State 6400, DestroySelf]
type = DestroySelf
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

;---------------------------------------------------------------------------
; Gas FX (Stand Light Attack)
[Statedef 6500]
type = S
physics = N
ctrl = 0
anim = 6501
velset = 0,0
sprpriority = 1

[State 6500, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6500, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0

[State 6500, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 6500, BindToRoot]
type = BindToRoot
trigger1 = time < 10
pos = 20,-55
ignorehitpause = 0

[State 6500, BindToRoot]
type = BindToRoot
trigger1 = root,anim = 430
trigger1 = time < 10
pos = 20,-52
ignorehitpause = 0

[State 6500, BindToRoot]
type = BindToRoot
trigger1 = root,anim = 606
trigger1 = time < 20
facing = 1
pos = 65,-77
ignorehitpause = 0

[State 6500, Explod]
type = Explod
triggerall = root,anim = 230 || root,anim = 430
trigger1 = time = 0
anim = 6500
ID = 6500
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 1
ownpal = 1
trans = sub
removeongethit = 1
persistent = 0

[State 6500, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 7901
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
ignorehitpause = 0
;persistent = 0

[State 6500, Hitby]
type= HitBy
trigger1 = 1
time= -1
value = SCA, NP, SP, HP
ignorehitpause= 1

[State 6500, NotHitby]
type= NotHitBy
trigger1 = 1
time= -1
value = ,AA,AT
ignorehitpause = 1
;persistent = 0

[State 6500, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 300,300,50
invertall = 0
color = 256

[State 6500, Trans]
type = Trans
trigger1 = 1 
trans = add

[State 6500, RemoveExplod]
type = RemoveExplod
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

[State 6500, DestroySelf]
type = DestroySelf
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

;---------------------------------------------------------------------------
; Gas FX (Holy Flame)
[Statedef 6600]
type = S
ctrl = 0
anim = 6601
velset = 0,0
sprpriority = 3

[State 6601, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6601, BindToRoot]
type = BindToRoot
trigger1 = time < 15
time = 15
pos = 30,-80
ignorehitpause = 0

[State 6600, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 7901
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
ignorehitpause = 0
;persistent = 0

[State 6600, Hitby]
type= HitBy
trigger1 = 1
time= -1
value = SCA, NP, SP, HP
ignorehitpause= 1

[State 6600, NotHitby]
type= NotHitBy
trigger1 = 1
time= -1
value = ,AA,AT
ignorehitpause = 1
;persistent = 0

[State 6400, Explod]
type = Explod
triggerall = root,anim = 1020
trigger1 = time = 0
anim = 6600
ID = 6600
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 3
ownpal = 1
trans = sub
removeongethit = 1
persistent = 0

[State 6601, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 300,300,50
invertall = 0
color = 256

[State 6601, Trans]
type = Trans
trigger1 = 1
trans = add

[State 6600, RemoveExplod]
type = RemoveExplod
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

[State 6600, DestroySelf]
type = DestroySelf
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

;---------------------------------------------------------------------------
; Gas FX (Slime Bazooka)
[Statedef 6610]
type = S
ctrl = 0
anim = 6611
velset = 0,0
sprpriority = 3

[State 6611, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6601, BindToRoot]
type = BindToRoot
trigger1 = time < 15
time = 15
pos = 10,-55
ignorehitpause = 0

[State 6610, Explod]
type = Explod
triggerall = root,anim = 3003
trigger1 = time = 0
anim = 6610
ID = 6610
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
bindtime = 1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = 1.1,1.5
sprpriority = 3
ownpal = 1
trans = sub
removeongethit = 1
persistent = 0

[State 6610, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 300,300,50
invertall = 0
color = 256

[State 6610, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 200,256

[State 6610, RemoveExplod]
type = RemoveExplod
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

[State 6610, DestroySelf]
type = DestroySelf
trigger1 = animtime = 0
trigger2 = root,stateno = [5000,5899]

;---------------------------------------------------------------------------
; Gas FX (Spark)
[Statedef 6899]
type = S
ctrl = 0
anim = 6803
juggle = 0
sprpriority = 3
velset = 0,0

[State 6899, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6899, PalFX]
type = PalFX
trigger1 = 1
time = 1
mul = 300,300,50
invertall = 0
color = 256

[State 6899, Trans]
type = Trans
trigger1 = 1 
trans = addalpha ;none, add, addalpha, add1, sub
alpha = 64,256
;ignorehitpause = 
;persistent = 

[State 6899, DestroySelf]
type = DestroySelf
trigger1 = Animtime = 0

;---------------------------------------------------------------------------
; Gas FX (Spark) (Flames)
[Statedef 6900]
type = S
ctrl = 0
anim = 9999
juggle = 0
sprpriority = 3
velset = 0,0

[State 6900, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6900, Explod Spark Flames]
type = Explod
trigger1 = (time%2)=0
anim = 6900
ID = 6900
pos = (enemynear,const(size.mid.pos.x)),(enemynear,const(size.mid.pos.y))
postype = p2  ;p2,front,back,left,right
facing = 1
random = 90,90
vel = 0,-6
vfacing = 1
bindtime = 1
trans = addalpha
alpha = 48,256
pausemovetime = 9999
supermovetime = 9999
scale = 0.7,0.7
sprpriority = 4
ownpal = 0
removeongethit = 0
ignorehitpause = 1

[State 6900, Pos]
type = PosAdd
trigger1 = 1
x = ceil(p2dist x)
y = ceil(p2dist y)

[State 6900, DestroySelf]
type = DestroySelf
triggerall = numenemy
trigger1 = enemynear, ctrl
trigger2 = enemynear, movetype != H
trigger3 = enemynear, statetype = L

[State 6900, DestroySelf]
type = DestroySelf
trigger1 = !numenemy || time >= 100

;---------------------------------------------------------------------------
; Sigh FX
[Statedef 7000]
type = S
ctrl = 0
anim = 9999
velset = 0,0
sprpriority = 3

[State 7000, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7000, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 7000, Explod]
type = Explod
trigger1 = (time%3) = 0 && time = [0,5]
anim = 7000
ID = 7000
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
removeongethit = 1

[State 7000, DestroySelf]
type = DestroySelf
trigger1 = time = 40


;---------------------------------------------------------------------------
; Heart FX
[Statedef 7100]
type = S
ctrl = 0
anim = 7100
velset = 0,0
sprpriority = 3

[State 7100, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7100, Explod]
type = Explod
trigger1 = time = 0
anim = 7101
ID = 7101
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
removeongethit = 1

[State 7100, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 450,100,200
invertall = 0
color = 256

[State 7100, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 160,256

[State 7100, DestroySelf]
type = DestroySelf
trigger1 = !animtime

;---------------------------------------------------------------------------
; Heart FX 2
[Statedef 7107]
type = S
ctrl = 0
anim = 9999
velset = 0,0
sprpriority = 3

[State 7107, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7107, Explod]
type = Explod
trigger1 = (time%4) = 0 && time = [0,5]
anim = 7106
ID = 7106
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
vel = 0,2.2
removeongethit = 1

[State 7107, Explod]
type = Explod
trigger1 = (time%4) = 0 && time = [0,5]
anim = 7106
ID = 7106
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
vel = 0,-2.2
removeongethit = 1

[State 7107, Explod]
type = Explod
trigger1 = (time%4) = 0 && time = [0,5]
anim = 7106
ID = 7106
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
vel = 2.2,1.8
removeongethit = 1

[State 7107, Explod]
type = Explod
trigger1 = (time%4) = 0 && time = [0,5]
anim = 7106
ID = 7106
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
vel = 2.2,-1.8
removeongethit = 1

[State 7107, Explod]
type = Explod
trigger1 = (time%4) = 0 && time = [0,5]
anim = 7106
ID = 7106
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
vel = -2.2,-1.8
removeongethit = 1

[State 7107, Explod]
type = Explod
trigger1 = time = 0
anim = 7106
ID = 7106
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
vel = -2.2,1.8
removeongethit = 1

[State 7107, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 450,150,150
invertall = 0
color = 256

[State 7107, DestroySelf]
type = DestroySelf
trigger1 = time = 40

;---------------------------------------------------------------------------
; Teleport FX
[Statedef 7200]
type = S
ctrl = 0
anim = 7200
velset = 0,0
sprpriority = 2

[State 7200, AngleSet]
type = AngleSet
trigger1 = 1
value = 0
;ignorehitpause = 
;persistent = 

[State 7200, AngleDraw]
type = AngleDraw
trigger1 = time < 10
scale = 1-(.1*(time*1)),1-(.1*(time*1)) 

[State 7200, PalFX]
type = PalFX
trigger1 = 1
time = -1
add = 0,0,300
mul = 200,200,300
invertall = 0
color = 256

[State 7300, Trans]
type = Trans
trigger1 = 1
trans = add

[State 7200, DestroySelf]
type = DestroySelf
trigger1 = time = 10
trigger2 = root,movetype = H

;---------------------------------------------------------------------------
; Teleport FX 1 (Super Magical Big Bang)
[Statedef 7201]
type = S
ctrl = 0
anim = 7200
velset = 0,0
sprpriority = 2


[State 0, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 5+random%50
y = 5+random%25
;ignorehitpause = 
;persistent = 

[State 7201, VelSet]
type = VelSet
trigger1 = time = 0
x = 3
y = -4
;ignorehitpause = 
;persistent = 

[State 7201, AngleSet]
type = AngleSet
trigger1 = 1
value = 0
;ignorehitpause = 
;persistent = 

[State 7201, AngleDraw]
type = AngleDraw
trigger1 = time < 20
scale = 0.5-(.05*(time*0.5)),0.5-(.05*(time*0.5)) 

[State 6400, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 350,330,50
invertall = 0
color = 256

[State 7201, Trans]
type = Trans
trigger1 = 1
trans = add1

[State 7201, DestroySelf]
type = DestroySelf
trigger1 = time = 20

;---------------------------------------------------------------------------
; Teleport FX 2 (Super Magical Big Bang)
[Statedef 7202]
type = S
ctrl = 0
anim = 7200
velset = 0,0
sprpriority = 2

[State 7202, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 5+random%50
y = 5+random%25
;ignorehitpause = 
;persistent = 

[State 7201, VelSet]
type = VelSet
trigger1 = time = 0
x = 3
y = 4
;ignorehitpause = 
;persistent = 

[State 7202, AngleSet]
type = AngleSet
trigger1 = 1
value = 0
;ignorehitpause = 
;persistent = 

[State 7202, AngleDraw]
type = AngleDraw
trigger1 = time < 20
scale = 0.5-(.05*(time*0.5)),0.5-(.05*(time*0.5)) 

[State 7202, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 350,330,50
invertall = 0
color = 256

[State 7202, Trans]
type = Trans
trigger1 = 1
trans = add1

[State 7202, DestroySelf]
type = DestroySelf
trigger1 = time = 20

;---------------------------------------------------------------------------
; Teleport FX 3 (Super Magical Big Bang)
[Statedef 7203]
type = S
ctrl = 0
anim = 7200
velset = 0,0
sprpriority = 2

[State 7203, AngleSet]
type = AngleSet
trigger1 = 1
value = 0
;ignorehitpause = 
;persistent = 

[State 7203, AngleDraw]
type = AngleDraw
trigger1 = time < 20
scale = 0.1+(0.4*(time*1)),0.1+(0.4*(time*1)) 

[State 7203, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 350,330,50
invertall = 0
color = 256

[State 7203, Trans]
type = Trans
trigger1 = 1
trans = add1

[State 7203, DestroySelf]
type = DestroySelf
trigger1 = time = 20

;---------------------------------------------------------------------------
; Teleport FX 4 (Super Magical Big Bang)
[Statedef 7204]
type = S
ctrl = 0
anim = 7200
velset = 0,0
sprpriority = 2

[State 7204, AngleSet]
type = AngleSet
trigger1 = 1
value = 0
;ignorehitpause = 
;persistent = 

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time < 10
scale = 0.01+(0.3*(time*0.4)),0.01+(0.3*(time*0.4)) 

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time >=10
scale = 1,2

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [12,14]
scale = 1.5,1.5

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [14,16]
scale = 1.75,0.90

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [16,18]
scale = 2,0.85

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [18,20]
scale = 2.5,0.8

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [20,22]
scale = 2.75,0.75

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [22,24]
scale = 3,0.79

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [24,26]
scale = 3.1,0.65

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [26,28]
scale = 3.2,0.60

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [28,30]
scale = 3.3,0.55

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [30,32]
scale = 3.4,0.50

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [32,34]
scale = 3.5,0.45

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [34,36]
scale = 3.6,0.40

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [36,38]
scale = 3.7,0.35

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [38,40]
scale = 3.8,0.30

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [40,42]
scale = 3.9,0.25

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [42,44]
scale = 4,0.20

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [44,46]
scale = 4.1,0.15

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [46,48]
scale = 4.2,0.10

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [48,50]
scale = 4.3,0.05

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [50,52]
scale = 4.4,0.04

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [52,54]
scale = 4.5,0.03

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [54,56]
scale = 4.6,0.02

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [56,58]
scale = 4.7,0.01

[State 7204, AngleDraw]
type = AngleDraw
trigger1 = time = [58,60]
scale = 4.8,0.00

[State 7204, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 350,330,50
invertall = 0
color = 256

[State 7204, Trans]
type = Trans
trigger1 = 1
trans = add1

[State 7204, DestroySelf]
type = DestroySelf
trigger1 = time = 50


;---------------------------------------------------------------------------
; Slime FX Projectile (Slime Bazooka)
[Statedef 7210]
type = S
movetype = A
physics = N
ctrl = 0
anim = 7211
velset = 0,0
sprpriority = 3

[State 7210, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 7210, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7210, VelSet]
type = VelSet
trigger1 = time = 0
x = 15

[State 7210, Hit]
type = HitDef
trigger1 = Time = 0
attr = S,HP
animtype  = Med
damage    = ceil (20*root,fvar(15)),0
getpower = 0,0
givepower = 0,0
guardflag = MAF
hitflag = MAF
priority = 6, Hit
pausetime = 0,0
sparkno = -1
guard.sparkno = s8520
sparkxy = ceil(-30*const(size.xscale)),ceil(-0*const(size.yscale))
hitsound   = s1001,0
guardsound = s1002,0
ground.type = High
ground.slidetime = 16
ground.hittime  = 16
ground.velocity = 0
guard.velocity = 0
air.velocity = 0,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
envshake.time = 15
envshake.freq = 60
envshake.ampl = 0
envshake.time = 15
envshake.freq = 60
envshake.ampl = 0
p1facing = 1
p2facing = 1
forcenofall = 1
yaccel = 0.75
kill = 0

[State 7210, Explod]
type = Explod
trigger1 = time = 0
anim = 7210
ID = 7210
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 3
ownpal = 1
trans = sub
removeongethit = 0
persistent = 0

[State 7210, TargetState]
type = TargetState
trigger1 = numtarget > 0
trigger1 = movehit = 1
value = 3010
ignorehitpause = 1

[State 7210, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 7212
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
ignorehitpause = 1
;persistent = 0
 
[State 7210, Hitby]
type= HitBy
trigger1 = 1
time= -1
value = SCA, NP, SP, HP
ignorehitpause = 1
;persistent = 0

[State 7210, NotHitby]
type= NotHitBy
trigger1 = 1
time= -1
value = ,HP,AA,AT
ignorehitpause = 1
;persistent = 0

[State 7210, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 500,300,300
invertall = 0
color = 256

[State 7210, Trans]
type = Trans
trigger1 = 1
trans = add

[State 7210, ChangeState]
type = ChangeState
trigger1 = FrontEdgeBodyDist < -30
trigger2 = movecontact
value = 7212

;---------------------------------------------------------------------------
; Slime FX Projectile (Hit) (Slime Bazooka)
[Statedef 7212]
type = S
movetype = H
physics = N
ctrl = 0
anim = 7213
juggle = 0
sprpriority = 3
velset = 0,0

[State 7212, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 6801, RemoveExplod]
type = RemoveExplod
trigger1 = numexplod(7210)
id = 7210

[State 7212, Explod]
type = Explod
trigger1 = time = 0
anim = 7212
ID = 7212
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 3
ownpal = 1
trans = sub
removeongethit = 0
persistent = 0

[State 7212, Snd]
type = PlaySnd
trigger1 = Time = 0
value = 3002, 0

[State 7212, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 500,300,300
invertall = 0
color = 256

[State 7212, Trans]
type = Trans
trigger1 = 1
trans = add ;none, add, addalpha, add1, sub

[State 7212, DestroySelf]
type = DestroySelf
trigger1 = IsHelper
trigger1 = P2MoveType!=H
trigger2 = animtime = 0

;---------------------------------------------------------------------------
; Slime FX (Covered) (Slime Bazooka)
[Statedef 7214]
type = S
movetype = H
physics = N
ctrl = 0
anim = 7214
juggle = 0
sprpriority = 3
velset = 0,0

[State 7214, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7214, BindToRoot]
type = BindToRoot
trigger1 = 1
pos = 180,0 

[State 7214, Explod]
type = Explod
trigger1 = time = 0
anim = 7215
ID = 7215
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = 3
ownpal = 1
trans = sub
removeongethit = 0
persistent = 0

[State 7214, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 500,300,300
invertall = 0
color = 256

[State 7214, Trans]
type = Trans
trigger1 = 1
trans = add ;none, add, addalpha, add1, sub

[State 7214, RemoveExplod]
type = RemoveExplod
trigger1 = root,stateno=3006
id = 7215
;ignorehitpause = 
;persistent = 

[State 7214, DestroySelf]
type = DestroySelf
trigger1 = root,stateno=3006

;---------------------------------------------------------------------------
; Gas FX (Suicide KO) (Sub)
[Statedef 7300]
type = S
ctrl = 0
anim = 6802
velset = 0,-5
sprpriority = 0

[State 7300, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7300, AngleAdd]
type = AngleAdd
trigger1 = 1
value = 0
;ignorehitpause = 
;persistent = 

[State 7300, AngleDraw]
type = AngleDraw
trigger1 = 1
scale = .0001+(.015*(time+1)),.0005+(.015*(time+1))
;ignorehitpause = 
;persistent = 

[State 7300, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 300,300,300
invertall = 0
color = 256

[State 7300, Trans]
type = Trans
trigger1 = 1
trans = sub

[State 7300, DestroySelf]
type = DestroySelf
trigger1 = animtime = 0

;---------------------------------------------------------------------------
; Gas FX (Suicide KO)
[Statedef 7301]
type = S
ctrl = 0
anim = 6803
velset = 0,-5
sprpriority = 1

[State 7301, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7301, PalFX]
type = PalFX
trigger1 = 1
time = -1
mul = 300,300,50
invertall = 0
color = 256

[State 7301, AngleAdd]
type = AngleAdd
trigger1 = 1
value = 0
;ignorehitpause = 
;persistent = 

[State 7301, AngleDraw]
type = AngleDraw
trigger1 = 1
scale = .0001+(.015*(time+1)),.0005+(.015*(time+1))
;ignorehitpause = 
;persistent = 

[State 7301, Snd]
type = PlaySnd
trigger1 = time = 0
value = 231,0+(random%5)

[State 7301, Trans]
type = Trans
trigger1 = 1
trans = add

[State 7301, DestroySelf]
type = DestroySelf
trigger1 = animtime = 0

;---------------------------------------------------------------------------
; Gas FX (All FX Hit by Projectile)
[Statedef 7901]
type = U
movetype = U
physics = U
ctrl = 0
juggle = 0
velset = 0,0
sprpriority = 4

[State 7901, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7901, DestroySelf]
type = DestroySelf
trigger1 = !animtime

;---------------------------------------------------------------------------
; Hyper FX (Level 1)
[Statedef 10000]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 3
velset = 0,0

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noBG
flag2 = noFG
flag3 = noshadow

[State 10000, Hyper FX Zoom]
type = Explod
trigger1 = !time
anim = 10000
ID = 10000
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 4
ownpal = 0
removeongethit = 0

[State 10000, ModifyExplod]
type = ModifyExplod
trigger1 = time < 20
ID = 10000
scale = .2*(time-20),.2*(time-20)

[State 10000, DestroySelf]
type = DestroySelf
trigger1 = time = 50
;ignorehitpause = 

;---------------------------------------------------------------------------
; Hyper Portrait FX (Slime Bazooka)
[Statedef 10020]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 0
velset = 0,0

[State 10020, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 10020, Hyper Portrait (Slime Bazooka)]
type = Explod
trigger1 = !time
anim = 10020
ID = 10020
pos = 90,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
velocity = 9,0
accel = -0.2,0
pausemovetime = 9999
supermovetime = 9999
scale = 3.25,3.25
sprpriority = 0
removetime = 45
ownpal = 0
removeongethit = 0
ignorehitpause = 1

[State 10020, Hyper Portrait (Slime Bazooka)]
type = Explod
trigger1 = (time%4)=1 && time = [5,15]
anim = 10020
ID = 10020
pos = 90,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
velocity = 9,0
accel = -0.2,0
pausemovetime = 9999
supermovetime = 9999
scale = 3.25,3.25
sprpriority = 0
removetime = 15
ownpal = 0
removeongethit = 0
ignorehitpause = 1

[State 10020, PalFX]
type = PalFX
trigger1 = time < 15
time = 1
add = 100, 140,150
invertall = 0
color = 0
;ignorehitpause = 
;persistent = 

[State 10020, PalFX]
type = PalFX
trigger1 = time > 36
time = 1
add = 100,140,150
invertall = 0
color = 0
;ignorehitpause = 
;persistent = 

[State 10020, ModifyExplod]
type = ModifyExplod
trigger1 = time < 10
ID = 10020
scale = 1-(2*(time-10)),1-(2*(time-10))
trans = add

[State 10020, ModifyExplod]
type = ModifyExplod
trigger1 = time > 20
ID = 10020
trans = default

[State 10020, ModifyExplod]
type = ModifyExplod
trigger1 = time > 36
ID = 10020
scale = 1+(2*(time-36)),1+(2*(time-36))
trans = addalpha
alpha = 200,256

[State 10020, DestroySelf]
type = DestroySelf
trigger1 = time = 50
;ignorehitpause =

;---------------------------------------------------------------------------
; Hyper Portrait FX (Luce's Special Cooking)
[Statedef 10021]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 0
velset = 0,0

[State 10021, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 10021, Hyper Portrait (Luce's Special Cooking)]
type = Explod
trigger1 = !time
anim = 10021
ID = 10021
pos = 90,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
velocity = 9,0
accel = -0.2,0
pausemovetime = 9999
supermovetime = 9999
scale = 3.25,3.25
sprpriority = 0
removetime = 45
ownpal = 0
removeongethit = 0
ignorehitpause = 1

[State 10021, Hyper Portrait (Luce's Special Cooking)]
type = Explod
trigger1 = (time%4)=1 && time = [5,15]
anim = 10021
ID = 10021
pos = 90,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
velocity = 9,0
accel = -0.2,0
pausemovetime = 9999
supermovetime = 9999
scale = 3.25,3.25
sprpriority = 0
removetime = 15
ownpal = 0
removeongethit = 0
ignorehitpause = 1

[State 10021, PalFX]
type = PalFX
trigger1 = time < 15
time = 1
add = 100,140,150
invertall = 0
color = 0
;ignorehitpause = 
;persistent = 

[State 10021, PalFX]
type = PalFX
trigger1 = time > 36
time = 1
add = 100,140,150
invertall = 0
color = 0
;ignorehitpause = 
;persistent = 

[State 10021, ModifyExplod]
type = ModifyExplod
trigger1 = time < 10
ID = 10020
scale = 1-(2*(time-10)),1-(2*(time-10))
trans = add

[State 10021, ModifyExplod]
type = ModifyExplod
trigger1 = time > 20
ID = 10021
trans = default

[State 10021, ModifyExplod]
type = ModifyExplod
trigger1 = time > 36
ID = 10021
scale = 1+(2*(time-36)),1+(2*(time-36))
trans = addalpha
alpha = 200,256

[State 10021, DestroySelf]
type = DestroySelf
trigger1 = time = 50
ignorehitpause = 1

;---------------------------------------------------------------------------
; Hyper Portrait FX (Super Magical Big Bang)
[Statedef 10022]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 0
velset = 0,0

[State 10022, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 10022, Hyper Portrait (Super Magical Big Bang)]
type = Explod
trigger1 = !time
anim = 10022
ID = 10022
pos = 90,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
velocity = 9,0
accel = -0.2,0
pausemovetime = 9999
supermovetime = 9999
scale = 3.25,3.25
sprpriority = 0
removetime = 45
ownpal = 0
removeongethit = 0
ignorehitpause = 1

[State 10022, Hyper Portrait (Super Magical Big Bang)]
type = Explod
trigger1 = (time%4)=1 && time = [5,15]
anim = 10022
ID = 10022
pos = 90,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
velocity = 9,0
accel = -0.2,0
pausemovetime = 9999
supermovetime = 9999
scale = 3.25,3.25
sprpriority = 0
removetime = 15
ownpal = 0
removeongethit = 0
ignorehitpause = 1

[State 10022, PalFX]
type = PalFX
trigger1 = time < 15
time = 1
add = 100,140,150
invertall = 0
color = 0
;ignorehitpause = 
;persistent = 

[State 10022, PalFX]
type = PalFX
trigger1 = time > 36
time = 1
add = 100,140,150
invertall = 0
color = 0
;ignorehitpause = 
;persistent = 

[State 10022, ModifyExplod]
type = ModifyExplod
trigger1 = time < 10
ID = 10022
scale = 1-(2*(time-10)),1-(2*(time-10))
trans = add

[State 10022, ModifyExplod]
type = ModifyExplod
trigger1 = time > 20
ID = 10022
trans = default

[State 10022, ModifyExplod]
type = ModifyExplod
trigger1 = time > 36
ID = 10022
scale = 1+(2*(time-36)),1+(2*(time-36))
trans = addalpha
alpha = 200,256

[State 10022, DestroySelf]
type = DestroySelf
trigger1 = time = 50
ignorehitpause = 1

;---------------------------------------------------------------------------
;Perfect! Text Helper
[Statedef 10030]
type    = S
movetype = A
physics = N 
anim = 9999 

[State 10030, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nokoslow

[State 10030, BG]
type = Explod
trigger1 = time = 0
anim = 10030
ID = 10030
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = facing
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 6
ownpal = 0
removeongethit = 0

[State 10030, Snd]
type = PlaySnd
trigger1 = time = 0
value = 10030,0

[State 10030, AssertSpecial]
type = AssertSpecial
trigger1 = time < 250
flag = roundnotover

[State 10030, DestroySelf]
type = DestroySelf
trigger1 = !Animtime
;ignorehitpause = 